Issue #7874 has been reported by terceiro (Antonio Terceiro).

----------------------------------------
Bug #7874: multiarch support enhancements
https://bugs.ruby-lang.org/issues/7874

Author: terceiro (Antonio Terceiro)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 2.0.0
ruby -v: ruby 2.0.0dev (2013-02-17 trunk 39293)


Hi, I am one the maintainers of Ruby in Debian, thanks a lot for adding multiarch support.

While preparing packages for Ruby 2.0, I found two issues:

1) On a x86_64 Debian system with Linux kernel, Ruby will say that the architecture is "x86_64-linux", but the standard architecture name for such a system, as used in multiarch-enabled packages, is "x86_64-linux-gnu". In order to not break other systems, I suggest adding a --with-multiarchname argument to ./configure so that the Debian package can pass in the appropriate architecture name during ./configure stage.

2) the pkg-config data also has to be installed inside multiarch paths.

I am attaching patches for both issues.


-- 
http://bugs.ruby-lang.org/